---
title: VREyeParameters.renderRect
slug: Web/API/VREyeParameters/renderRect
tags:
  - API
  - Experimental
  - Expérimental(2)
  - Obsolete
  - Property
  - Reference
  - Référence(2)
  - VR
  - VREyeParameters
  - Virtual Reality
  - WebVR
  - renderRect
---
<div>{{obsolete_header()}}{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>renderRect</strong></code> read-only property of the {{domxref("VREyeParameters")}} interface <dfn>specifies</dfn> the viewport of a canvas into which visuals for the current eye should be rendered.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myRenderRect = MyEyeParameters.renderRect;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMRect")}} object.</p>

<h2 id="Examples">Examples</h2>

<p>TBD</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VREyeParameters.renderRect")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a>.</li>
 <li>{{domxref("VRFieldOfView")}}</li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
